Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.ace.techservice.cipher
Interface AgentCipherProviderFactory

    public interface AgentCipherProviderFactory

Agent cipher provider factory interface.

Field Summary
`static byte` | `ACE5_CIPHERSUITE_DES_64_CSM_8` Agent 'DES-64-bit' with '8-bit checksum' ciphersuite.
`static byte` | `ACE5_CIPHERSUITE_NULL` Agent 'NULL' ciphersuite.
`static byte` | `ACE5_CIPHERSUITE_RC5_CBC_128_64_SHA1HMAC` Agent 'RC5-128-bit' with '64-bit-SHA1-HMAC' ciphersuite.
`static byte` | `ACE5_CIPHERSUITE_UNDEFINED` Undefined Agent ciphersuite.

Method Summary
`AgentCipherProvider` | `getCipherProvider(byte[] agentBuffer, int headerSize, byte[] keyData)` Cipher provider factory interface for existing packets.
`AgentCipherProvider` | `getCipherProvider(byte cipherSuite, byte[] keyData)` Cipher provider factory interface for new packet construction.

Field Detail

### ACE5_CIPHERSUITE_UNDEFINED

    static final byte ACE5_CIPHERSUITE_UNDEFINED

  Undefined Agent ciphersuite.

  See Also:
    Constant Field Values

### ACE5_CIPHERSUITE_NULL

    static final byte ACE5_CIPHERSUITE_NULL

  Agent 'NULL' ciphersuite.

  See Also:
    Constant Field Values

### ACE5_CIPHERSUITE_RC5_CBC_128_64_SHA1HMAC

    static final byte ACE5_CIPHERSUITE_RC5_CBC_128_64_SHA1HMAC

  Agent 'RC5-128-bit' with '64-bit-SHA1-HMAC' ciphersuite.

  See Also:
    Constant Field Values

### ACE5_CIPHERSUITE_DES_64_CSM_8

    static final byte ACE5_CIPHERSUITE_DES_64_CSM_8

  Agent 'DES-64-bit' with '8-bit checksum' ciphersuite.

  See Also:
    Constant Field Values

Method Detail

### getCipherProvider

    AgentCipherProvider getCipherProvider(byte cipherSuite,
                                          byte[] keyData)
                                          throws AgentCipherException

  Cipher provider factory interface for new packet construction.

  Parameters:
    `cipherSuite` - The CipherSuite to be used for the packet.
    `keyData` - The key to be used in the construction of the cipher provider.
  Returns:
    An Agent Cipher Provider.
  Throws:
    `AgentCipherException` - For unknown or unsupported cipher-suites.

### getCipherProvider

    AgentCipherProvider getCipherProvider(byte[] agentBuffer,
                                          int headerSize,
                                          byte[] keyData)
                                          throws AgentCipherException

  Cipher provider factory interface for existing packets.

  Parameters:
    `agentBuffer` - The packet buffer. This is a complete agent packet including the cipher suite.
    `headerSize` - This is the size of the cleartext, unencrypted header.
    `keyData` - The key to be used in the construction of the cipher provider.
  Returns:
    An Agent Cipher Provider.
  Throws:
    `AgentCipherException` - For unknown or unsupported cipher-suites.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.